<template>
  <WordCard
    v-for="card in cards"
    :card="card"
    :key="'card-' + card.No"
  />
</template>

<script setup>
import WordCard from "./WordCard.vue";
// let cards = []
// onMounted(async () => {
//   const { data } = await useFetch("/api/getCards");
//   cards = data.value
// })
const { data: cards } = await useFetch("/api/getCards");
// const order = ref([])
// for (let i = 0; i<cards.length; i++) {
//   const od = i + 3 > 4 ? i -1 : 0
//   order.value.push(od)
// }
// const cards = data.value.sort(() => Math.random() - 0.5);
</script>